Subject: bug#66700: closed (Re: bug#66700: 30.0.50; Some history is missing with multiple eshell buffers)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 07 Dec 2023 11:35:02 +0000

Your bug report

#66700: 30.0.50; Some history is missing with multiple eshell buffers

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66700: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66700
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66700: 30.0.50; Some history is missing with multiple eshell buffers
From: Sean Whitton <[email-masked]>
To: Liu Hui <[email-masked]>
Cc: Jim Porter <[email-masked]>, Eli Zaretskii <[email-masked]>, [email-masked]
Date: Thu, 07 Dec 2023 11:33:48 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I've installed the change, thank you again.

I copy-edited your manual text a bit while doing so.

-- 
Sean Whitton

Subject: 30.0.50; Some history is missing with multiple eshell buffers
From: Liu Hui <[email-masked]>
To: [email-masked]
Date: Mon, 23 Oct 2023 20:14:27 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Eshell saves history by default when quitting the buffer or emacs, but
some history is missing when there are multiple eshell buffers. For
example,

1. emacs -Q
2. M-x eshell, and type foo
3. C-u M-x eshell, and type bar
4. quit emacs

I would expect both commands are saved, but in fact only one command
is saved in the file eshell-history-file-name. I think the reason is
the history file is always overwritten when an eshell buffer tries to
save the history, so maybe eshell should save commands by appending
to the file?

Best

--
Liu Hui